Subject: Mango cv "Beverly"

From: Dan Duprey <[email-masked]>
Date: Sat, 25 Feb 95 22:25:46 -0500

Would like any information available about a new (?) cultivar of mango
called Beverly.  How does fruit compare, in size, season, flavor, to Keitt,
or Glenn or other common variety?  Does it have any anthracnose resistance?
How prolific?